Bug 213142 - Don't claim to support fullscreen mode unless fullScreenEnabled setting is enabled
Summary: Don't claim to support fullscreen mode unless fullScreenEnabled setting is en...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Eric Carlson
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-06-12 13:17 PDT by Eric Carlson
Modified: 2020-06-24 08:55 PDT (History)
12 users (show)

See Also:


Attachments
Patch (4.30 KB, patch)
2020-06-12 15:06 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Patch for landing. (5.96 KB, patch)
2020-06-12 15:50 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Patch for landing (6.02 KB, patch)
2020-06-12 16:32 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Patch for landing (6.15 KB, patch)
2020-06-15 10:19 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Patch for landing (6.94 KB, patch)
2020-06-15 11:48 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Patch for landing (7.48 KB, patch)
2020-06-15 15:25 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Patch (7.65 KB, patch)
2020-06-16 13:11 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Carlson 2020-06-12 13:17:50 PDT
Don't claim to support fullscreen mode unless fullScreenEnabled setting is enabled

<rdar://problem/63753327>
Comment 1 Eric Carlson 2020-06-12 15:06:50 PDT
Created attachment 401791 [details]
Patch
Comment 2 Eric Carlson 2020-06-12 15:50:04 PDT
Created attachment 401797 [details]
Patch for landing.
Comment 3 Eric Carlson 2020-06-12 16:32:54 PDT
Created attachment 401800 [details]
Patch for landing
Comment 4 Eric Carlson 2020-06-15 10:19:50 PDT
Created attachment 401908 [details]
Patch for landing
Comment 5 Eric Carlson 2020-06-15 11:48:14 PDT
Created attachment 401917 [details]
Patch for landing
Comment 6 Eric Carlson 2020-06-15 15:25:42 PDT
Created attachment 401948 [details]
Patch for landing
Comment 7 Eric Carlson 2020-06-16 13:11:55 PDT
Created attachment 402034 [details]
Patch
Comment 8 EWS 2020-06-16 15:41:23 PDT
Committed r263121: <https://trac.webkit.org/changeset/263121>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 402034 [details].
Comment 9 Karl Rackler 2020-06-19 14:46:20 PDT
It looks like the changes in this submit broke this test:
media/video-fullscreen-only-playback.html 

Tracking this failure in:
https://bugs.webkit.org/show_bug.cgi?id=213407
Comment 10 Truitt Savell 2020-06-19 17:11:37 PDT
Reverted r263121 for reason:

Broke media/video-fullscreen-only-playback.html on Catalina Debug

Committed r263301: <https://trac.webkit.org/changeset/263301>
Comment 11 EWS 2020-06-24 08:55:03 PDT
Committed r263458: <https://trac.webkit.org/changeset/263458>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 402034 [details].